Update an interlocutor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Private API key needed

This endpoint can only be used with your private API key, available in the API tab of your bot settings.

Update interlocutor attributes.

Note that the userID can't be updated.

Request

AttributeRequiredTypeDescription
typeāœ“stringmust be interlocutor
userIDāœ“stringyour ID for this interlocutor (0 < length < 100)
firstNamestringinterlocutor's first name
lastNamestringinterlocutor's last name
emailstringinterlocutor's email
phoneNumberstringinterlocutors' phone number
customAttributesobjectcustom attributes (keys must only contain letters, digits and underscores)
{
    "type": "interlocutor",
    "id": "5b29016e24acbe58c292bbad",
    "userID": "123456",
    "firstName": "John",
    "lastName": "Doe",
    "email": "[email protected]",
    "customAttributes": {
        "age": "29"
    }
}

Response

At the moment this endpoint does not return anything.

Path Params
string
required

an interlocutor ID

Language
LoadingLoading…